org.apache.ode.jbi.util

## Class Schema

- java.lang.Object
- - org.apache.ode.jbi.util.Schema

-     public class Schema
      extends java.lang.Object

  Contains informations related to a schema.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Schema()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addImport(java.lang.String namespace)` Add a reference to an imported namespace.
    `java.util.List` | `getImports()`
    `java.lang.String` | `getNamespace()`
    `org.w3c.dom.Element` | `getRoot()`
    `java.net.URI` | `getSourceUri()`
    `void` | `setImports(java.util.List imports)`
    `void` | `setNamespace(java.lang.String namespace)`
    `void` | `setRoot(org.w3c.dom.Element root)`
    `void` | `setSourceUri(java.net.URI sourceUri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Schema

          public Schema()

  - ### Method Detail

    - #### addImport

          public void addImport(java.lang.String namespace)

      Add a reference to an imported namespace.
      Parameters:
        `namespace` - the namespace to reference

    - #### getImports

          public java.util.List getImports()

      Returns:
        Returns the imports.

    - #### setImports

          public void setImports(java.util.List imports)

      Parameters:
        `imports` - The imports to set.

    - #### getRoot

          public org.w3c.dom.Element getRoot()

      Returns:
        Returns the root.

    - #### setRoot

          public void setRoot(org.w3c.dom.Element root)

      Parameters:
        `root` - The root to set.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns:
        Returns the namespace.

    - #### setNamespace

          public void setNamespace(java.lang.String namespace)

      Parameters:
        `namespace` - The namespace to set.

    - #### getSourceUri

          public java.net.URI getSourceUri()

      Returns:
        Returns the sourceUri.

    - #### setSourceUri

          public void setSourceUri(java.net.URI sourceUri)

      Parameters:
        `sourceUri` - The sourceUri to set.